/* Reset and base styles  */
* {
    padding: 0px;
    margin: 0px;
    border: none;
}

*,
*::before,
*::after {
    box-sizing: border-box;
}

/* Links */

a,
a:link,
a:visited {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

/* Common */

aside,
nav,
footer,
header,
section,
main {
    display: block;
}

h1,
h2,
h3,
h4,
h5,
h6,
p {
    font-size: inherit;
    font-weight: inherit;
}

ul,
ul li {
    list-style: none;
}

img {
    vertical-align: top;
}

img,
svg {
    max-width: 100%;
    height: auto;
}

address {
    font-style: normal;
}

/* Form */

input,
textarea,
button,
select {
    font-family: inherit;
    font-size: inherit;
    color: inherit;
    background-color: transparent;
}

input::-ms-clear {
    display: none;
}

button,
input[type="submit"] {
    display: inline-block;
    box-shadow: none;
    background-color: transparent;
    background: none;
    cursor: pointer;
}

input:focus,
input:active,
button:focus,
button:active {
    outline: none;
}

button::-moz-focus-inner {
    padding: 0;
    border: 0;
}

label {
    cursor: pointer;
}

legend {
    display: block;
}

@font-face {
    font-family: 'Roboto-Medium';
    src: url('../css/font/Roboto-Medium.ttf') format('truetype');
    font-weight: 500;
}

@font-face {
    font-family: 'Roboto-Regular';
    src: url('../css/font/Roboto-Regular.ttf') format('truetype');
    font-weight: 400;
}

p,
a,
li {
    font-family: 'Roboto-Regular', sans-serif;
    color: #000000;
}


h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Roboto-Medium', sans-serif;
    color: #000000;
}

.header {
    background-color: rgba(255, 255, 255, 0.80);
    box-shadow: 0px 1px 3px rgba(0, 0, 0, 0.5);
    width: 100%;
    z-index: 2000;
    position: fixed;
    top: 0;
    box-shadow: 0 1px 3px rgba(0, 0, 0, 0);
    transition: background-color .3s linear;
}

.container {
    max-width: 1920px;
    margin: 0 auto;
    padding: 0 10px;
}

.wrapper__header-mobile {
    display: none;
}

.wrapper__header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.menu__list {
    display: flex;
}

.menu__item {
    padding: 28px 15px;
}

.menu__link,
.mobile__menu__link {
    text-transform: uppercase;
    font-size: 18px;
    color: #3d57a3;
    line-height: 1.3;
}

.menu__item:hover .menu__link,
.mobile__menu__item:hover .mobile__menu__link {
    border-bottom: 2px solid #3d57a3;
}

.header__info {
    display: flex;
    gap: 30px;
    align-items: center;
}

.header-mobile__img-logo {
    font-size: 25px;
    text-transform: uppercase;
    color: #3d57a3;
    font-weight: 700;
}

.header__adress,
.mobile__header__adress {
    font-size: 18px;
    color: #707070;
}

.btn {
    background-color: #627ecb;
    color: #FFFFFF;
    font-size: 14px;
    padding: 12px 0;
    display: flex;
    justify-content: center;
    border-radius: 50px;
}

.btn__header {
    max-width: 125px;
    width: 100%;

}

.wrapper__header-mobile .container {
    display: flex;
    align-items: center;
    padding: 20px;
    justify-content: space-between;
}

.mobile__wrapper {
    background-color: rgba(255, 255, 255, 0.97);
    position: fixed;
    z-index: 500;
    display: none;
    flex-direction: column;
    align-items: center;
    width: 100%;
}

.mobile__wrapper.active {
    display: flex;
}

.mobile__menu__list {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: 20px 0;
}

.mobile__menu__item {
    padding: 12px 15px;
}

.mobile__header__info {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
}

.mobile__btn__header {
    max-width: 200px;
    width: 100%;
}

.menuburger {
    position: relative;
    flex-shrink: 0;
    width: 28px;
    height: 40px;
    padding: 0;
    border: none;
    background-color: transparent;
    outline: none;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    transition: transform .5s ease-in-out;
    cursor: pointer;
    z-index: 999;

}

.menuburger span {
    display: block;
    position: absolute;
    width: 100%;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
    transition: .25s ease-in-out;
    height: 3px;
    background-color: #FFFFFF;
    top: 30px;
}

.menuburger span:nth-child(1) {
    top: 10px;
}

.menuburger span:nth-child(2) {
    top: 20px;
}

.menuburger.active span:nth-child(1) {
    top: 8px;
    width: 0%;
    left: 50%;
}


.menuburger.active span:nth-child(2) {
    top: 20px;
    transform: rotate(-45deg);
}

.menuburger.active span:nth-child(3) {
    top: 20px;
    transform: rotate(45deg);
}



/* Секция с параллаксом */
.parallax {
    position: relative;
    height: 100vh;
    overflow: hidden;
    background-color: #000;
    margin-bottom: 135px;
}

/* Обертка для параллакса */
.wrapper___parallax {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('../images/bacgr.jpg');
    background-attachment: fixed;
    background-size: cover;
    background-position: center;
}

/* Стили для контейнера с текстом */
.container__parallax {
    position: relative;
    z-index: 2;
    color: white;
    text-align: center;
    padding-top: 15vh;
    max-width: 700px;
}


h1 {
    color: #FFFFFF;
    font-size: 77px;
}

.wrapper__banner {
    position: relative;
    width: calc(100% + 48px);
    height: 45vh;
}

.banner__item-1,
.banner__item-2,
.banner__item-3,
.banner__item-4,
.banner__item-5 {
    position: absolute;
}

.banner__item-1 {
    left: 15%;
    width: 19.93%;
}

.banner__item-2 {
    right: 15%;
    width: 21.146%;
}

.banner__item-3 {
    left: -15%;
    width: 45.13%;
}

.banner__item-4 {
    left: 35%;
    top: 50%;
    width: 29.28%;
}

.banner__item-5 {
    right: -9%;
    width: 34.956%;

}

.banner__item-3,
.banner__item-5 {
    top: 60%;
}

.banner__title {
    font-size: 28px;
    color: #FFFFFF;
}

.banner__img {
    margin-bottom: 5px;
}

.banner__img-1 {
    width: 68.95%;
    height: 100%;
}

.banner__img-2 {
    width: 64.97%;
    height: 100%;
}

.banner__img-3 {
    width: 30.45%;
    height: 100%;
}

.banner__img-4 {
    width: 46.92%;
    height: 100%;
}

.banner__img-5 {
    width: 39.3%;
    height: 100%;
}

.about {
    margin-bottom: 135px;
}

.about .container {
    display: flex;
    justify-content: center;
}

.wrapper__about-imgs {
    margin-right: 120px;
    position: relative;
    width: 100%
        /* calc(32.632% - 120px) */
    ;
    max-width: 500px;
}

.about__img1,
.about__img2,
.about__img3 {
    position: absolute;
}

.about__img1 {
    width: 53.2%;
}


.about__img2 {
    width: 34.8%;
    left: 59%;
    top: 8%;
}

.about__img3 {
    width: 55.7%;
    bottom: -1%;
    left: 18%;
}

.section__title {
    font-weight: 600;
    color: #3f5ab2;
    font-family: 'Roboto-Medium', sans-serif;
    text-transform: uppercase;
    font-size: 42px;
    margin-bottom: 40px;
}

.about__discr {
    font-size: 25px;
    font-weight: 400;
    line-height: 1.5;
    max-width: 560px;
}

.about__discr p {
    font-weight: 300;
}

.about__discr p:not(:last-child) {
    margin-bottom: 10px;
}

.gallery {
    margin-bottom: 135px;
}

.gallery .container {
    display: flex;
    justify-content: center;
}

.swiper {
    width: 100%;
    /* Оставляем на всю ширину */

}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.swiper-pagination span {
    background-color: #FFFFFF;
}

.rooms {
    margin-bottom: 135px;
}

.rooms .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.rooms__top {
    display: flex;
    margin-bottom: 60px;
    align-items: center;
}

.rooms__prices {
    font-size: 22px;
    font-weight: 700;
    margin-right: 40px;
}

.prices__list {
    display: flex;
    flex-direction: column;
    margin-top: 30px;
}

.prices__link {
    display: flex;
    align-items: center;
    gap: 10px;
}

.prices__link p {
    max-width: 300px;
    width: 100%;
}

.prices__link img {
    max-width: 55px;
}

.rooms-discr {
    max-width: 760px;
    width: 100%;
    font-size: 20px;
}

.rooms-discr p {
    line-height: 1.6;
}

.rooms-discr p:nth-of-type(2) {
    margin-bottom: 40px;
}

.red {
    color: red;
}

.rooms__bottom {
    display: flex;
}



.rooms__card a {
    max-width: 360px;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}

.rooms__card:not(:last-of-type) {
    margin-right: 40px;
}

.rooms__card a {
    position: relative;
    width: 100%;
    max-width: 300px;
    /* Задайте максимальную ширину для карточки */
    text-align: center;
}

.card__img-wrapper {
    position: relative;
    width: 100%;
    height: auto;
}

.card__img {
    width: 100%;
    height: auto;
    display: block;
    transition: opacity 0.3s ease-in-out;
}

/* Скрываем второе изображение по умолчанию */
.secondary-img {
    position: absolute;
    top: 0;
    left: 0;
    opacity: 0;
    max-width: 300px;
    max-height: 330px;
    height: 100%;

}

/* При наведении на карточку отображаем второе изображение */
.rooms__card a:hover .secondary-img {
    opacity: 1;
}

/* Скрываем первое изображение при наведении */
.rooms__card a:hover .primary-img {
    opacity: 0;
}

.title__card {
    font-size: 32px;
    color: #3f5ab2;
}

.card__price {
    font-size: 25px;
    color: #3f5ab2;
}

.btn__card {
    max-width: 130px;
    width: 100%;
}

.uslugi {
    margin-bottom: 60px;
}

.uslugi .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.uslugi__list-1,
.uslugi__list-2 {
    display: flex;
    gap: 40px;
}

.uslugi__list-1:first-of-type,
.uslugi__list-2:first-of-type {
    margin-bottom: 40px;
}

.uslugi__list-1:only-child,
.uslugi__list-2:only-child {
    max-width: 360px;
    max-height: 257px;
    width: 100%;
    height: 100%;
}












.uslugi__item {
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    overflow: hidden;
}

.uslugi__card {
    position: relative;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    width: 100%;
    overflow: hidden;
    max-width: 560px;
    margin-bottom: 60px;
    margin-top: 90px;
}

.uslugi__item::before,
.uslugi__card::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.overflaw,
.overflaw__bottom {
    position: relative;
    z-index: 2;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    height: 100%;
    color: white;
    text-align: center;
}

.uslugi__list-1 .overflaw {
    padding: 50.6px 173.39px;
}

.uslugi__list-2 .overflaw {
    padding: 50.5px 182.56px;
}

.overflaw__bottom {
    padding: 85px 99.2px;
}

.overflaw__bottom img {
    width: 200px;
}

.img {
    margin-bottom: 10px;
}

.uslugi__item-1 {
    background-image: url('../images/usluga1.jpg');
}

.uslugi__item-2 {
    background-image: url('../images/lodka.webp');
}

.uslugi__item-3 {
    background-image: url('../images/mangal.webp');
}

.uslugi__item-4 {
    background-image: url('../images/usluga4.jpg');
}

/* .uslugi__item-5 {
    background-image: url('../images/usluga5.jpg');
}

.uslugi__item-6 {
    background-image: url('../images/usluga6.jpg');
}

.uslugi__item-7 {
    background-image: url('../images/usluga7.jpg');
} */

.overflaw p,
.overflaw__bottom p {
    color: #FFFFFF;
    font-size: 24px;
    font-weight: 500;
}

.our__city {
    margin-bottom: 60px;
}

.our__city .container {
    display: flex;
    justify-content: center;
    gap: 40px;
}

.city__list {
    display: flex;
    gap: 20px;
}

.city__list:first-of-type {
    margin-bottom: 20px;
}

.wrapper__city {
    max-width: 560px;
    width: 100%;
}

.city__item {
    width: 100%;
}

.city__discr {
    max-width: 460px;
}

.city__discr p {
    font-size: 20px;
    line-height: 1.6;
}

.dostopr {
    margin-bottom: 135px;
}

.dostopr .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.btn__dostopr {
    max-width: 400px;
    width: 100%;
    font-size: 22px;
    padding: 16.5px 0;
    margin-bottom: 40px;
    font-family: 'Roboto-Regular', sans-serif;
}

.wrapper__dostopr {
    max-width: 760px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    display: none;
}

.wrapper__dostopr h2 {
    font-size: 25px;
    text-align: center;
    margin-bottom: 10px;
}


.wrapper__dostopr h3 {
    margin-bottom: 10px;
    font-size: 20px;
}

.wrapper__dostopr p {
    margin-bottom: 10px;
    font-size: 20px;
}

.contacts {
    margin-bottom: 90px;
}

.contacts .container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.wrapper__news-conts {
    display: flex;
    gap: 40px;
}


.news,
.conts {
    max-width: 560px;
    width: 100%;
    font-size: 20px;
    display: flex;
    flex-direction: column;
    gap: 20px;
    line-height: 1.6;
}

.orange {
    color: #ff8562;
}

.news__title {
    font-size: 25px;
    margin-bottom: 15px;
    color: #3f5ab2;
}

.news__item p {
    margin-bottom: 15px;
}

hr {
    border: none;
    border-top: 3px solid #3f5ab2;
    color: #3f5ab2;
    overflow: visible;
    text-align: center;
    height: 5px;
    margin-bottom: 15px;
}

/* Стили для кнопки "Подняться вверх" */
.back-to-top {
    position: fixed;
    bottom: 30px;
    right: 30px;
    width: 50px;
    height: 50px;
    color: #fff;
    border: none;
    font-size: 24px;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: opacity 0.3s ease;
    opacity: 0;
    visibility: hidden;
    z-index: 1000;
}


.back-to-top.show {
    opacity: 1;
    visibility: visible;
}

.back-to-top img {
    border-radius: 50%;
    cursor: pointer;
}


.footer {
    background-color: #4462bc;
}

.wrapper__footer {
    display: flex;
    justify-content: space-between;
}

.info__footer {
    font-size: 18px;
    color: #c4c4c4;
    line-height: 1.3;
    padding-top: 28px;
}

.fmenu__list {
    display: flex;
}

.fmenu__item {
    padding: 28px 15px;
}

.fmenu__link {
    text-transform: uppercase;
    font-size: 18px;
    color: #FFFFFF;
    line-height: 1.3;
}

.fmenu__item:hover .fmenu__link {
    color: #8aa7ff;
}

.fmenu__sublist {
    max-width: 280px;
    width: 100%;
}

.fmenu__subitem {
    padding: 7px 0px;
}

.fmenu__sublink {
    font-size: 18px;
    color: #c4c4c4;
    line-height: 1.3;
}

.fmenu__subitem:hover .fmenu__sublink {
    color: #8a8787;
}





/*/////////////////////news////////////////////////////*/

.news__page {
    margin-bottom: 135px;
    min-height: 52.1vh;
}

.news__page h1 {
    color: #3f5ab2;
}

.news__page .section__title {
    margin-top: 135px;
}

.news__page .news__item:not(:last-of-type) {
    margin-bottom: 40px;
}

.btn__news-page {
    max-width: 300px;

}

/*/////////////////////news////////////////////////////*/
.rooms__page {
    margin: 135px 0;
    min-height: 52.1vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.rooms__page .container {
    display: flex;
    gap: 40px;
    align-items: center;
}

.mySwiper2 {
    max-width: 660px;
    overflow: hidden;
    max-height: 420px;
    height: 100%;
    width: 100%;
    position: relative;
}

.rooms__discription {
    max-width: 500px;
}

.rooms__discription p {
    font-size: 20px;
}

.rooms__discription p:not(:last-of-type) {
    margin-bottom: 20px;
}

@media (max-width: 1250px) {
    .fmenu__item {
        padding: 28px 7px;
    }
}

@media (max-width: 1170px) {
    .about__img3 {
        bottom: 7%;
    }
}




@media (max-width: 1150px) {
    .menu__item {
        padding: 28px 7px;
    }

    .fmenu__link,
    .fmenu__sublink,
    .info__footer {
        font-size: 16px;
    }

    .rooms__prices,
    .rooms-discr {
        font-size: 18px;
    }

    .city__discr p {
        font-size: 18px;
    }
}

@media (max-width: 1130px) {
    .about__img3 {
        bottom: 15%;
    }
}


@media (max-width: 1100px) {
    .about__img3 {
        bottom: 20%;
    }

    .section__title {
        font-size: 40px;
    }
}

@media (max-width: 1070px) {

    .menu__link,
    .header__adress {
        font-size: 16px;
    }

    .about__img3 {
        bottom: 25%;
    }

    .uslugi__list-1,
    .uslugi__list-2 {
        flex-direction: column;
    }

    .uslugi__list-1,
    .uslugi__list-2,
    .uslugi__card {
        max-width: 600px;
        width: 100%;
    }


    .uslugi__list-1 .overflaw {
        padding: 152.5px 0px;
    }

    .uslugi__list-2 .overflaw {
        padding: 152.5px 0px;
    }

    .overflaw__bottom {
        padding: 94.5px 0;
    }



    .info__footer {
        margin-right: 10px;
    }

    .fmenu__list {
        flex-direction: column;
        gap: 7px;
        margin: 30px 0;
    }

    .fmenu__item {
        padding: 0;
    }

    .fmenu__sublist {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    .fmenu__subitem {
        padding: 0;
    }
}


@media (max-width: 1050px) {

    .about__img3 {
        bottom: 30%;
    }
}



@media (max-width: 1020px) {

    .about__img3 {
        bottom: 35%;
    }
}

@media (max-width: 990px) {

    .header {
        background-color: #000000;
        position: inherit;
    }

    .wrapper__header {
        display: none;
    }

    .wrapper__header-mobile {
        display: block;
    }

    .banner__item-1 {
        left: 3%;
        top: 15%;
    }

    .banner__item-2 {
        right: 10%;
        top: 15%;
    }

    .banner__item-4 {
        top: 15%;
        left: 32%;
    }

    .banner__item-3,
    .banner__item-5 {
        display: none;
    }

    .about .container {
        flex-direction: column;
        align-items: center;
    }

    .wrapper__about-imgs {
        max-width: 600px;
        height: 600px;
        margin-right: 0;
        margin-bottom: 60px;
    }

    .about__img3 {
        bottom: -3%;
    }

    .our__city .container {
        flex-direction: column;
        align-items: center;
    }

    .wrapper__news-conts {
        flex-direction: column;
    }

    .news,
    .conts {
        font-size: 18px;
    }

    .rooms__page .container {
        flex-direction: column;
    }

}

@media (max-width: 740px) {
    .mySwiper2 {
        max-width: 500px;
    }
}

@media (max-width: 710px) {
    h1 {
        font-size: 67px;
    }

    .banner__title {
        font-size: 23px;
    }

    .wrapper__about-imgs {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 340px 300px;
        gap: 15px;
        margin-bottom: 100px;
    }


    .about__img1,
    .about__img2 {
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: initial;
    }

    .about__img3 {
        grid-column: 1 / -1;
        width: 100%;
        height: 100%;
        object-fit: cover;
        position: initial;
    }


    .section__title {
        font-size: 30px;
    }

    .rooms__top {
        flex-direction: column;
        max-width: 560px;
    }

    .rooms__prices {
        margin-right: 0;
        margin-bottom: 30px;
    }

    .prices__link {
        justify-content: space-between;
    }

    .rooms__bottom {
        flex-direction: column;
    }

    .rooms__card:not(:last-of-type) {
        margin-right: 0;
        margin-bottom: 30px;
    }

    .parallax,
    .about,
    .gallery,
    .rooms {
        margin-bottom: 60px;
    }

    .dostopr {
        margin-bottom: 20px;
    }

    .section__title {
        margin-bottom: 20px;
    }

}

@media (max-width: 600px) {
    h1 {
        font-size: 57px;
    }

    .banner__title {
        font-size: 18px;
    }
    .wrapper___parallax {
        background-image: url('../images/bacgr-mob.jpg');
    }
}

@media (max-width: 550px) {
    .mySwiper2 {
        max-width: 380px;
    }

    .rooms__page {
        margin: 40px 0;
    }
}

@media (max-width: 505px) {
    h1 {
        font-size: 48px;
    }

    .banner__title {
        font-size: 12px;
        font-weight: 500;
        letter-spacing: 1px;
    }

    .banner__item-1 {
        left: 10%;
    }

    .banner__item-2 {
        right: 15%;
    }

}


@media (max-width: 480px) {

    .header,
    .mobile__wrapper {
        background-color: rgb(233 233 233);
    }

    .mobile__wrapper {
        height: 100%;
    }

    .menuburger span {
        background-color: #3d57a3;
    }

    .wrapper__header-mobile .container {
        padding: 0 10px;
    }

    .news,
    .conts {
        font-size: 18px;
    }
}


@media (max-width: 428px) {
    h1 {
        font-size: 40px;
    }

    .mySwiper2 {
        max-width: 300px;
        max-height: 300px;
    }
}




@media (max-width: 360px) {
    h1 {
        font-size: 35px;
    }

    .banner__title {
        font-size: 16px;
    }

    .banner__item-1 {
        left: 24%;
        top: 5%;
        width: 37.776%;
    }

    .banner__item-2 {
        right: 35%;
        top: 74%;
        width: 40.09%;
    }

    .banner__item-4 {
        left: 17%;
        top: 41%;
        width: 54.94%;
    }


}


@media (max-width: 350px) {
    .mySwiper2 {
        max-width: 275px;
    }
}

.swiper.mySwiper{
    height: 500px;
}